Subject: [bug#32303] [PATCH] gnu: Patch duplicity with --ignore-mdc-error.

From: Leo Famulari <[email-masked]>
Date: Thu, 6 Sep 2018 13:26:20 -0400

On Wed, Aug 22, 2018 at 05:05:23PM -0400, Leo Famulari wrote:
> A few days ago, I sent an email to <[email-masked]>
> requesting clarification on how this affects Duplicity. I think my
> message is still waiting for moderation but hopefully it goes through.

The Duplicity project clarified the effect of this change on the
integrity of the backup archives:

"Duplicity does a hash of the entire file so the MDC is duplication of
effort. [...] You are still protected by the hash stored in the
manifest." [0]

Based on that, I think the disabling of GnuPG's integrity check is not
that important in this case.

[0]
https://lists.nongnu.org/archive/html/duplicity-talk/2018-09/msg00005.html